Skip to main content
GET
/
v1
/
smart-account
/
wallets
/
list
List Smart Wallets
curl --request GET \
  --url https://api.openxswitch.com/v1/smart-account/wallets/list \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "8e6f5877-d71a-4017-a3eb-3d1d4464e274",
      "address": "0x1234567890123456789012345678901234567890",
      "blockchain": "EVM",
      "protocol": "EVM",
      "environment": "mainnet",
      "isEvmCompatible": true,
      "gaslessWithdraw": true,
      "autoSweep": true,
      "state": "LIVE",
      "custodyType": "DEVELOPER",
      "accountId": "WALLET_ACCOUNT_ID",
      "workspaceId": "WORKSPACE_ID",
      "createdAt": "2022-01-01T00:00:00.000Z",
      "updatedAt": "2022-01-01T00:00:00.000Z",
      "decimals": 18,
      "name": "Wallet 1",
      "refId": "WALLET_REF_ID"
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string
required

Filter by account id

Example:

"123e4567-e89b-12d3-a456-426614174000"

address
string

Filter by wallet address

Example:

"0x1234567890123456789012345678901234567890"

refId
string

Filter by ref id

Example:

"ref_user_1"

blockchain
string

Filter by blockchain (e.g., EVM, Ethereum, Solana)

Example:

"EVM"

pageNo
string

The page number for pagination

pageLimit
string

The number of items per page for pagination

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required